package com.kingdee.eas.custom.integration.feishu;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.BOSObjectFactory;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.Context;

public class FeishuApprovalsViewFactory
{
    private FeishuApprovalsViewFactory()
    {
    }
    public static IFeishuApprovalsView getRemoteInstance() throws BOSException
    {
        return (IFeishuApprovalsView)BOSObjectFactory.createRemoteBOSObject(new BOSObjectType("DD5F2CEC") , IFeishuApprovalsView.class);
    }
    
    public static IFeishuApprovalsView getRemoteInstanceWithObjectContext(Context objectCtx) throws BOSException
    {
        return (IFeishuApprovalsView)BOSObjectFactory.createRemoteBOSObjectWithObjectContext(new BOSObjectType("DD5F2CEC") , IFeishuApprovalsView.class, objectCtx);
    }
    public static IFeishuApprovalsView getLocalInstance(Context ctx) throws BOSException
    {
        return (IFeishuApprovalsView)BOSObjectFactory.createBOSObject(ctx, new BOSObjectType("DD5F2CEC"));
    }
    public static IFeishuApprovalsView getLocalInstance(String sessionID) throws BOSException
    {
        return (IFeishuApprovalsView)BOSObjectFactory.createBOSObject(sessionID, new BOSObjectType("DD5F2CEC"));
    }
}